Bug 1120911 - radeon unreliable when returning from suspend in 3.15.x kernel
Summary: radeon unreliable when returning from suspend in 3.15.x kernel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 01:33 UTC by Darryl Bond
Modified: 2015-06-29 21:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:37:56 UTC


Attachments (Terms of Use)

Description Darryl Bond 2014-07-18 01:33:24 UTC
Description of problem: AMD E350 APU unreliable when returning from suspend.
If dual screen attached and running X, the second monitor stays black after resume but xrandr shows the monitor present. 
If the machine is suspended again, the computer does not return from the second suspend. Light changes from blinking to solid but does not appear to wake. This occurs if dual screen or single.

If the suspend is initiated from a console, either by pm-suspend or systemctl suspend then both screens will return reliably.


Version-Release number of selected component (if applicable):
Fedora 20 - Issue started with 3.15.3 ie regression from 3.14.9. Issue still there with 3.15.5
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6310]


How reproducible:
Very

Steps to Reproduce:
1. From Mate desktop, initiate a suspend (menu, pm-suspend or systemctl suspend)
2. Wake computer (note second display stays black)
3. Suspend again
4. Wake computer

Actual results:
Power led changes from blinking to solid
Screens stay black from second suspend. Changing console (Alt-F2) does not display.
Computer does not respond to pings.

Expected results:
Computer wakes from suspend correctly as it did with 3.14.9

Additional info:
The computer is a thin client with no ability to look at logs once it fails. Other hardware (ie Intel) using the same rootfs image does not exhibit the fault

Comment 1 Darryl Bond 2014-09-15 22:18:55 UTC
More information:
Still same behavior with 3.16.2.

If switched to a second console and systemctl suspend is issued.
The second display comes back after awakening in tty2. 
If Alt F1 to X display, the second goes black in X and Alt F2 console.

Comment 2 Fedora End Of Life 2015-05-29 12:24:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:37:56 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.